<?php
/*
* @ServerMon v1.1
* @Developed by Maksa988
* @www.Server-Mon.ru
* @Copyright (C) 2014
*/
 if(!defined('SMON'))
	die('Hacking attempt!');
	
class setting extends Controller {
	public function __construct() {

		$this->header();
		$this->model('users');
		$this->model('setting');
		
		if(empty($_SESSION['user_id'])):
			return $this->view(array('login/index'), $this->data); //Загружаем шаблон
		endif;
		
		$user = $this->usersModel->getUser($_SESSION['user_id']);
		$this->data['user'] = $user;
		
		if($user['user_group'] != $this->setting('admin_group')):
			$this->data['error'] = 'Вы не имеете доступа!';
			return $this->view(array('login/index'), $this->data); //Загружаем шаблон
		endif;
		
		$this->data['activeSection'] = 'setting';
		$this->data['menu'] = array(array('url'=> 'setting/store?clear=logs', 'icon' => 'remove', 'name'=> 'Очистить логи платежей')); 
		
		$this->data['invoices'] = $this->usersModel->getInvoices();
		
		if($this->GET('clear') == 'logs'){
			if($this->voteModel->clearVote()){
				$this->data['success'] = 'Логи голосов очищены.';
			} else {
				$this->data['error'] = 'При очистке данных произошла ошибка. Повторите попытку.';
			}
		}
		
		if($this->POST('edit')){
			$unitpay['secret'] = $this->POST('unitpay_secret');
			$unitpay['url'] = $this->POST('unitpay_url');
			$price['vip'] = $this->POST('price_vip');
			$price['color'] = $this->POST('price_color');
			
			if($unitpay && $price){
				if($this->settingModel->saveSetting("`setting_unitpay_secret` = '{$unitpay['secret']}', `setting_unitpay_url` = '{$unitpay['url']}', `setting_price_color` = '{$price['color']}', `setting_price_vip` = '{$price['vip']}'")) {
					$this->data['success'] = 'Настройки успешно сохранены!';
				} else {
					$this->data['error'] = 'При сохранеии данных произошла ошибка. Повторите попытку!';
				}
			} else {
				$this->data['error'] = 'Все поля обязательны к заполнению.';
			}
		}
		
		return $this->view(array('common/header', 'setting/store', 'common/footer'), $this->data); //Загружаем шаблон
	}
}